package com.fjhx.mail.entity.personal.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 个人邮箱
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("personal_mailbox")
public class PersonalMailbox extends BasePo {

    /**
     * mail账号
     */
    private String mailUser;

    /**
     * mail授权码
     */
    private String mailPassword;

    /**
     * 类型：1国内 2国外
     */
    private Integer type;

    /**
     * 状态：1启用 0禁用
     */
    private Integer status;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 默认邮箱: 1默认 0非默认
     */
    private Integer defaultStatus;

    /**
     * 收件host
     */
    private String receiveHost;

    /**
     * 收件端口
     */
    private Integer receivePort;

    /**
     * 收件协议
     */
    private String receiveProtocol;

    /**
     * 发件host
     */
    private String sendHost;

    /**
     * 发件端口
     */
    private Integer sendPort;

    /**
     * 发件协议
     */
    private String sendProtocol;

    /**
     * 用户id
     */
    private Long userId;

}
